Subject: Re: [PATCH 0/4] Fix a few split-index bugs

From: Junio C Hamano <[email-masked]>
Date: Wed, 22 Mar 2023 09:22:43 -0700

"Johannes Schindelin via GitGitGadget" <[email-masked]>
writes:

> Note: While the Git maintainer has stated a strong preference to introduce
> regression tests in the same patch that fixes the corresponding regression,
> this patch series starts with a stand-alone patch that demonstrates a
> problematic scenario via a new test_expect_failure test case.

It is fine, especially to show existing/old bugs that need extensive
explanation.

> This patch series is based on maint-2.37, the oldest maintenance branch it
> applies without merge conflicts. When merging with next, there are only
> trivial conflicts in unpack-trees.c due to en/dir-api-cleanup where
> o->result is now o->internal.result.

Thanks for digging into old and important case.  Maintenance of the
index data structure is a crucial part of the health of the system.